umbrello 2.39.2 Umbrello UML Modeller is a Unified Modelling Language (UML) diagram program based on KDE Technology

- Main Page
- Related Pages
- Topics
- Namespaces
- Classes
- Files

- File List
- File Members

Classes | Macros
umldoc.h File Reference
`#include "basictypes.h"`
`#include "optionstate.h"`
`#include "umlobject.h"`
`#include "umlobjectlist.h"`
`#include "umlassociationlist.h"`
`#include "umlclassifierlist.h"`
`#include "umlentitylist.h"`
`#include "umlviewlist.h"`
`#include "umlstereotypelist.h"`
`#include "umlpackagelist.h"`
`#include <QUrl>`
`#include <QMap>`
`#include <typeinfo>`

Go to the source code of this file.

## Classes
class | UMLDoc

## Macros
#define | ENC_UNKNOWN 0
#define | ENC_UNICODE 1
#define | ENC_WINDOWS 2
#define | ENC_OLD_ENC 3

## Macro Definition Documentation

## ◆ ENC_OLD_ENC

#define ENC_OLD_ENC 3

## ◆ ENC_UNICODE

#define ENC_UNICODE 1

## ◆ ENC_UNKNOWN

#define ENC_UNKNOWN 0

## ◆ ENC_WINDOWS

#define ENC_WINDOWS 2